<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddDreamNumToUserCareUser extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('user_care_user', function (Blueprint $table) {
            $table->integer('dream_num')->comment('被关注用户最新梦想数目')->default(0)->after('other_user_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('user_care_user', function (Blueprint $table) {
            //
        });
    }
}
