﻿(function (app) {
    app.controller('homeCtrl', ["$scope","$http", 'config', "$state", "msg", "$ionicPopover"
        , function ($scope, $http, config, $state, msg, $ionicPopover) {
            $scope.type = 1;//tab切换
            $scope.changetype = function (type) {
                $scope.type = type;
                if(type == 1){
                    $http({
                        method:"get",
                        url:config.server + "api/index/hot"
                    }).then(function (result){

                    },function(error){

                    })
                }
                else if(type == 2){
                    $http({
                        method:"get",
                        url:config.server + "api/index/trend"
                    }).then(function (result){

                    },function(error){

                    })
                }
                else if(type == 3){
                    $http({
                        method:"get",
                        url:config.server + "api/index/new"
                    }).then(function (result){

                    },function(error){

                    })
                }
            }
           
            $ionicPopover.fromTemplateUrl('my-popover.html', {
                scope: $scope
            }).then(function (popover) {
                $scope.popover = popover;
            });
            $scope.openPopover = function ($event) {
                $scope.popover.show($event);
            };
            $scope.closePopover = function () {
                $scope.popover.hide();
            };
        $scope.$on('$ionicView.beforeEnter', function () {

        });
        $scope.todetail = function () {
            $state.go('app.home_userdetail');
        };

        }]);
    app.controller('userDetailCtrl', ["$scope", "$state", "msg","homeService", "$ionicTabsDelegate"
        , function ($scope, $state, msg, homeService, $ionicTabsDelegate) {
            $scope.type = 1;//tab切换
            $scope.tosupport = false;
            $scope.support = function ($event) {
                $event.stopPropagation();
                $scope.tosupport = true;
            }
            $scope.cancelsupport = function () {
                $scope.tosupport = false;
            }
            $scope.changetype = function (type) {
                $scope.type = type;
            }
            $scope.index = 0;
            $scope.changeindex = function (index) {
                $scope.index = index;
            }
            $scope.$on('$ionicView.beforeEnter', function () {
                $ionicTabsDelegate.showBar(false);
            });
            $scope.$on('$ionicView.leave', function () {
                $ionicTabsDelegate.showBar(true);
            });

            $scope.vm = {
                coin:""
            }
            $scope.supportDream = function(data){
                var data = {
                    dream_id:"11",
                    coin:$scope.vm.coin
                };
                homeService.supportDream(data).then(function(result){

                },function(erro){

                })
            }
        }]);
    app.controller('searchCtrl', ["$scope","homeService", "$state", "msg", "$ionicTabsDelegate", "$ionicNavBarDelegate"
        , function ($scope,homeService, $state, msg, $ionicTabsDelegate, $ionicNavBarDelegate) {
            $scope.index = 0;
            $scope.index1 = 0;
            $scope.vm = {
                keywords : ""
            }
            $scope.ismore = true;
            $scope.selectHot = function (index) {
                $scope.index = index;
            }
            $scope.selectHistory = function (index) {
                $scope.index1 = index;
            }
            $scope.showmore = function () {
                $scope.ismore = true;
            }
            $scope.keychange = function () {
                $scope.ismore = false;
            }
            $scope.type = 1;
            $scope.changetype = function (type) {
                $scope.type = type;
            }
            $scope.$on('$ionicView.beforeEnter', function () {
                $ionicTabsDelegate.showBar(false);
                $ionicNavBarDelegate.showBackButton(false);
            });
            $scope.$on('$ionicView.leave', function () {
                $ionicTabsDelegate.showBar(true);
            });
            $scope.searchContent = function ()
            {
                homeService.searchContent($scope.vm.keywords).then(function(result){

                },function(error){

                });
            };
        }]);
   
    
})(angular.module('app.controllers'));