<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddColumnScoreToDreamInfo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dream_info', function (Blueprint $table) {
            $table->integer('score')->comment('梦想排行分数')->default(0)->after('status');
            $table->string('sign')->comment('梦想标签')->default('')->after('about');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dream_info', function (Blueprint $table) {
            //
        });
    }
}
